| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::Haar::WeightBin Class Reference

## Public Member Functions
| WeightBin ()
| Setup initial fixed Haar weights that each coefficient represents.
unsigned char | bin (int index) const
unsigned char | binAbs (int index) const

## Public Attributes
unsigned char | m_bin [16384] = { 0 }
| Fixed weight mask for pixel positions (i,j).

## Member Data Documentation

## ◆ m_bin

unsigned char Digikam::Haar::WeightBin::m_bin[16384] = { 0 }

Each entry x = i*NUM_PIXELS + j, gets value max(i,j) saturated at 5. To be treated as a constant.